Component({
  props: {
    clickSpm: '',
    title: '',
    description: '',
    placeholder: '',
    className: '',
    type: '',
    onClick: () => {}
  },
  methods: {
    onClick(event) {
      const {
        onClick,
        index = -1
      } = this.props;
      onClick && onClick(index, event);
    }

  }
});